# ncurses 6.0 - patch 20151024 - Thomas E. Dickey
#
# ------------------------------------------------------------------------------
#
# Ncurses 6.0 is at
# 	ftp.gnu.org:/pub/gnu
#
# Patches for ncurses 6.0 can be found at
# 	ftp://invisible-island.net/ncurses/6.0
#	http://invisible-mirror.net/archives/ncurses/6.0 
#
# ------------------------------------------------------------------------------
# ftp://invisible-island.net/ncurses/6.0/ncurses-6.0-20151024.patch.gz
# patch by Thomas E. Dickey <dickey@invisible-island.net>
# created  Sun Oct 25 00:51:43 UTC 2015
# ------------------------------------------------------------------------------
# INSTALL                          |    4 -
# NEWS                             |   23 ++++++
# VERSION                          |    2 
# aclocal.m4                       |    8 +-
# config.guess                     |   14 ++--
# config.sub                       |   11 ++-
# configure                        |    8 +-
# configure.in                     |    6 -
# dist.mk                          |    4 -
# doc/html/man/captoinfo.1m.html   |    2 
# doc/html/man/clear.1.html        |    2 
# doc/html/man/curs_attr.3x.html   |    4 -
# doc/html/man/form.3x.html        |    2 
# doc/html/man/infocmp.1m.html     |    2 
# doc/html/man/infotocap.1m.html   |    2 
# doc/html/man/menu.3x.html        |    2 
# doc/html/man/ncurses.3x.html     |    2 
# doc/html/man/panel.3x.html       |    2 
# doc/html/man/tabs.1.html         |    2 
# doc/html/man/terminfo.5.html     |    2 
# doc/html/man/tic.1m.html         |    2 
# doc/html/man/toe.1m.html         |    2 
# doc/html/man/tput.1.html         |    2 
# doc/html/man/tset.1.html         |    2 
# man/curs_attr.3x                 |    4 -
# misc/terminfo.src                |  124 ++++++++++++++++++++++++++++---------
# ncurses/tty/MKexpanded.sh        |    6 -
# package/debian-mingw/changelog   |    4 -
# package/debian-mingw64/changelog |    4 -
# package/debian/changelog         |    4 -
# package/mingw-ncurses.nsi        |    4 -
# package/mingw-ncurses.spec       |    2 
# package/ncurses.spec             |    2 
# test/ncurses.c                   |   26 +++----
# 34 files changed, 195 insertions(+), 97 deletions(-)
# ------------------------------------------------------------------------------
Index: INSTALL
Prereq:  1.193 
--- ncurses-6.0-20151017+/INSTALL	2015-09-26 21:34:14.000000000 +0000
+++ ncurses-6.0-20151024/INSTALL	2015-10-24 19:03:42.000000000 +0000
@@ -25,7 +25,7 @@
 -- sale, use or other dealings in this Software without prior written        --
 -- authorization.                                                            --
 -------------------------------------------------------------------------------
--- $Id: INSTALL,v 1.193 2015/09/26 21:34:14 tom Exp $
+-- $Id: INSTALL,v 1.194 2015/10/24 19:03:42 Tomas.Cech Exp $
 ---------------------------------------------------------------------
              How to install Ncurses/Terminfo on your system
 ---------------------------------------------------------------------
@@ -978,7 +978,7 @@
 	copying the man-page for each alias.
 
     --with-manpage-tbl
-	Tell the configure script that you with to preprocess the manpages
+	Tell the configure script that you wish to preprocess the manpages
 	by running them through tbl to generate tables understandable by
 	nroff.
 
Index: NEWS
Prereq:  1.2509 
--- ncurses-6.0-20151017+/NEWS	2015-10-17 22:02:46.000000000 +0000
+++ ncurses-6.0-20151024/NEWS	2015-10-25 00:17:28.000000000 +0000
@@ -25,7 +25,7 @@
 -- sale, use or other dealings in this Software without prior written        --
 -- authorization.                                                            --
 -------------------------------------------------------------------------------
--- $Id: NEWS,v 1.2509 2015/10/17 22:02:46 tom Exp $
+-- $Id: NEWS,v 1.2516 2015/10/25 00:17:28 tom Exp $
 -------------------------------------------------------------------------------
 
 This is a log of changes that ncurses has gone through since Zeyd started
@@ -45,6 +45,27 @@
 Changes through 1.9.9e did not credit all contributions;
 it is not possible to add this information.
 
+20151024
+	+ modify MKexpanded.c to update the expansion of a temporary filename
+	  to "expanded.c", for use in trace statements.
+	+ modify layout of b/B tests in test/ncurses.c to allow for additional
+	  annotation on the right margin; some terminals with partial support
+	  did not display well.
+	+ fix typo in curs_attr.3x (patch by Sven Joachim).
+	+ fix typo in INSTALL (patch by Tomas Cech).
+	+ improve configure check for setting WILDCARD_SYMS variable; on ppc64
+	  the variable is in the Data section rather than Text (patch by Michel
+	  Normand).
+	+ using configure option "--without-fallbacks" incorrectly caused
+	  FALLBACK_LIST to be set to "no" (patch by Tomas Cech).
+	+ updated minitel entries to fix kel problem with emacs, and add
+	  minitel1b-nb (Alexandre Montaron).
+	+ reviewed/updated nsterm entry Terminal.app in OSX -TD
+	+ replace some dead URLs in comments with equivalents from the
+	  Internet Archive -TD
+	+ update config.guess, config.sub from
+		http://git.savannah.gnu.org/cgit/config.git
+
 20151017
 	+ modify ncurses/Makefile.in to sort keys.list in POSIX locale
 	  (Debian #801864, patch by Esa Peuha).
Index: VERSION
--- ncurses-6.0-20151017+/VERSION	2015-10-17 20:29:47.000000000 +0000
+++ ncurses-6.0-20151024/VERSION	2015-10-24 13:10:18.000000000 +0000
@@ -1 +1 @@
-5:0:9	6.0	20151017
+5:0:9	6.0	20151024
Index: aclocal.m4
Prereq:  1.774 
--- ncurses-6.0-20151017+/aclocal.m4	2015-10-17 23:05:09.000000000 +0000
+++ ncurses-6.0-20151024/aclocal.m4	2015-10-25 00:51:20.000000000 +0000
@@ -28,7 +28,7 @@
 dnl
 dnl Author: Thomas E. Dickey 1995-on
 dnl
-dnl $Id: aclocal.m4,v 1.774 2015/10/17 23:05:09 tom Exp $
+dnl $Id: aclocal.m4,v 1.779 2015/10/25 00:51:20 tom Exp $
 dnl Macros used in NCURSES auto-configuration script.
 dnl
 dnl These macros are maintained separately from NCURSES.  The copyright on
@@ -7524,7 +7524,7 @@
 	[USE_VALGRIND])
 ])dnl
 dnl ---------------------------------------------------------------------------
-dnl CF_WITH_VERSIONED_SYMS version: 5 updated: 2015/04/17 21:13:04
+dnl CF_WITH_VERSIONED_SYMS version: 7 updated: 2015/10/24 20:50:26
 dnl ----------------------
 dnl Use this when building shared library with ELF, to markup symbols with the
 dnl version identifier from the given input file.  Generally that identifier is
@@ -7638,8 +7638,8 @@
 		# compile source, make library
 		if make -f conftest.mk 2>&AC_FD_CC >/dev/null
 		then
-			# test for missing symbol
-			cf_missing=`nm -P conftest.so 2>&AC_FD_CC |fgrep _ismissing | egrep '[[ 	]]T[[ 	]]'`
+			# test for missing symbol in either Data or Text section
+			cf_missing=`nm -P conftest.so 2>&AC_FD_CC |fgrep _ismissing | egrep '[[ 	]][[DT]][[ 	]]'`
 			test -n "$cf_missing" && WILDCARD_SYMS=yes
 		fi
 		AC_MSG_RESULT($WILDCARD_SYMS)
Index: config.guess
--- ncurses-6.0-20151017+/config.guess	2015-05-02 11:52:27.000000000 +0000
+++ ncurses-6.0-20151024/config.guess	2015-10-24 18:37:54.000000000 +0000
@@ -2,7 +2,7 @@
 # Attempt to guess a canonical system name.
 #   Copyright 1992-2015 Free Software Foundation, Inc.
 
-timestamp='2015-03-04'
+timestamp='2015-10-21'
 
 # This file is free software; you can redistribute it and/or modify it
 # under the terms of the GNU General Public License as published by
@@ -221,7 +221,7 @@
 		release='-gnu'
 		;;
 	    *)
-		release=`echo ${UNAME_RELEASE}|sed -e 's/[-_].*/\./'`
+		release=`echo ${UNAME_RELEASE} | sed -e 's/[-_].*//' | cut -d. -f1,2`
 		;;
 	esac
 	# Since CPU_TYPE-MANUFACTURER-KERNEL-OPERATING_SYSTEM:
@@ -249,6 +249,9 @@
     *:MirBSD:*:*)
 	echo ${UNAME_MACHINE}-unknown-mirbsd${UNAME_RELEASE}
 	exit ;;
+    *:Sortix:*:*)
+	echo ${UNAME_MACHINE}-unknown-sortix
+	exit ;;
     alpha:OSF1:*:*)
 	case $UNAME_RELEASE in
 	*4.0)
@@ -962,6 +965,9 @@
     ia64:Linux:*:*)
 	echo ${UNAME_MACHINE}-unknown-linux-${LIBC}
 	exit ;;
+    k1om:Linux:*:*)
+	echo ${UNAME_MACHINE}-unknown-linux-${LIBC}
+	exit ;;
     m32r*:Linux:*:*)
 	echo ${UNAME_MACHINE}-unknown-linux-${LIBC}
 	exit ;;
@@ -1038,7 +1044,7 @@
 	echo ${UNAME_MACHINE}-dec-linux-${LIBC}
 	exit ;;
     x86_64:Linux:*:*)
-	echo ${UNAME_MACHINE}-unknown-linux-${LIBC}
+	echo ${UNAME_MACHINE}-pc-linux-${LIBC}
 	exit ;;
     xtensa*:Linux:*:*)
 	echo ${UNAME_MACHINE}-unknown-linux-${LIBC}
@@ -1117,7 +1123,7 @@
 	# uname -m prints for DJGPP always 'pc', but it prints nothing about
 	# the processor, so we play safe by assuming i586.
 	# Note: whatever this is, it MUST be the same as what config.sub
-	# prints for the "djgpp" host, or else GDB configury will decide that
+	# prints for the "djgpp" host, or else GDB configure will decide that
 	# this is a cross-build.
 	echo i586-pc-msdosdjgpp
 	exit ;;
Index: config.sub
--- ncurses-6.0-20151017+/config.sub	2015-05-02 11:52:04.000000000 +0000
+++ ncurses-6.0-20151024/config.sub	2015-10-24 18:37:37.000000000 +0000
@@ -2,7 +2,7 @@
 # Configuration validation subroutine script.
 #   Copyright 1992-2015 Free Software Foundation, Inc.
 
-timestamp='2015-03-08'
+timestamp='2015-08-20'
 
 # This file is free software; you can redistribute it and/or modify it
 # under the terms of the GNU General Public License as published by
@@ -255,6 +255,7 @@
 	| arc | arceb \
 	| arm | arm[bl]e | arme[lb] | armv[2-8] | armv[3-8][lb] | armv7[arm] \
 	| avr | avr32 \
+	| ba \
 	| be32 | be64 \
 	| bfin \
 	| c4x | c8051 | clipper \
@@ -305,7 +306,7 @@
 	| riscv32 | riscv64 \
 	| rl78 | rx \
 	| score \
-	| sh | sh[1234] | sh[24]a | sh[24]aeb | sh[23]e | sh[34]eb | sheb | shbe | shle | sh[1234]le | sh3ele \
+	| sh | sh[1234] | sh[24]a | sh[24]aeb | sh[23]e | sh[234]eb | sheb | shbe | shle | sh[1234]le | sh3ele \
 	| sh64 | sh64le \
 	| sparc | sparc64 | sparc64b | sparc64v | sparc86x | sparclet | sparclite \
 	| sparcv8 | sparcv9 | sparcv9b | sparcv9v \
@@ -376,6 +377,7 @@
 	| alphapca5[67]-* | alpha64pca5[67]-* | arc-* | arceb-* \
 	| arm-*  | armbe-* | armle-* | armeb-* | armv*-* \
 	| avr-* | avr32-* \
+	| ba-* \
 	| be32-* | be64-* \
 	| bfin-* | bs2000-* \
 	| c[123]* | c30-* | [cjt]90-* | c4x-* \
@@ -428,12 +430,13 @@
 	| pdp10-* | pdp11-* | pj-* | pjl-* | pn-* | power-* \
 	| powerpc-* | powerpc64-* | powerpc64le-* | powerpcle-* \
 	| pyramid-* \
+	| riscv32-* | riscv64-* \
 	| rl78-* | romp-* | rs6000-* | rx-* \
 	| sh-* | sh[1234]-* | sh[24]a-* | sh[24]aeb-* | sh[23]e-* | sh[34]eb-* | sheb-* | shbe-* \
 	| shle-* | sh[1234]le-* | sh3ele-* | sh64-* | sh64le-* \
 	| sparc-* | sparc64-* | sparc64b-* | sparc64v-* | sparc86x-* | sparclet-* \
 	| sparclite-* \
-	| sparcv8-* | sparcv9-* | sparcv9b-* | sparcv9v-* | sv1-* | sx?-* \
+	| sparcv8-* | sparcv9-* | sparcv9b-* | sparcv9v-* | sv1-* | sx*-* \
 	| tahoe-* \
 	| tic30-* | tic4x-* | tic54x-* | tic55x-* | tic6x-* | tic80-* \
 	| tile*-* \
@@ -1376,7 +1379,7 @@
 	      | -hpux* | -unos* | -osf* | -luna* | -dgux* | -auroraux* | -solaris* \
 	      | -sym* | -kopensolaris* | -plan9* \
 	      | -amigaos* | -amigados* | -msdos* | -newsos* | -unicos* | -aof* \
-	      | -aos* | -aros* | -cloudabi* \
+	      | -aos* | -aros* | -cloudabi* | -sortix* \
 	      | -nindy* | -vxsim* | -vxworks* | -ebmon* | -hms* | -mvs* \
 	      | -clix* | -riscos* | -uniplus* | -iris* | -rtu* | -xenix* \
 	      | -hiux* | -386bsd* | -knetbsd* | -mirbsd* | -netbsd* \
Index: configure
--- ncurses-6.0-20151017+/configure	2015-10-17 23:05:27.000000000 +0000
+++ ncurses-6.0-20151024/configure	2015-10-24 22:43:05.000000000 +0000
@@ -1,5 +1,5 @@
 #! /bin/sh
-# From configure.in Revision: 1.620 .
+# From configure.in Revision: 1.621 .
 # Guess values for system-dependent variables and create Makefiles.
 # Generated by Autoconf 2.52.20150926.
 #
@@ -6663,8 +6663,8 @@
 		# compile source, make library
 		if make -f conftest.mk 2>&5 >/dev/null
 		then
-			# test for missing symbol
-			cf_missing=`nm -P conftest.so 2>&5 |fgrep _ismissing | egrep '[ 	]T[ 	]'`
+			# test for missing symbol in either Data or Text section
+			cf_missing=`nm -P conftest.so 2>&5 |fgrep _ismissing | egrep '[ 	][DT][ 	]'`
 			test -n "$cf_missing" && WILDCARD_SYMS=yes
 		fi
 		echo "$as_me:6670: result: $WILDCARD_SYMS" >&5
@@ -7060,7 +7060,7 @@
 fi;
 echo "$as_me:7061: result: $with_fallback" >&5
 echo "${ECHO_T}$with_fallback" >&6
-FALLBACK_LIST=`echo "$with_fallback" | sed -e 's/,/ /g'`
+FALLBACK_LIST=`test "$with_fallback" != no && echo "$with_fallback" | sed -e 's/,/ /g'`
 
 echo "$as_me:7065: checking if you want modern xterm or antique" >&5
 echo $ECHO_N "checking if you want modern xterm or antique... $ECHO_C" >&6
Index: configure.in
Prereq:  1.620 
--- ncurses-6.0-20151017+/configure.in	2015-10-17 23:01:54.000000000 +0000
+++ ncurses-6.0-20151024/configure.in	2015-10-24 17:57:55.000000000 +0000
@@ -28,14 +28,14 @@
 dnl
 dnl Author: Thomas E. Dickey 1995-on
 dnl
-dnl $Id: configure.in,v 1.620 2015/10/17 23:01:54 tom Exp $
+dnl $Id: configure.in,v 1.621 2015/10/24 17:57:55 Tomas.Cech Exp $
 dnl Process this file with autoconf to produce a configure script.
 dnl
 dnl See http://invisible-island.net/autoconf/ for additional information.
 dnl
 dnl ---------------------------------------------------------------------------
 AC_PREREQ(2.52.20030208)
-AC_REVISION($Revision: 1.620 $)
+AC_REVISION($Revision: 1.621 $)
 AC_INIT(ncurses/base/lib_initscr.c)
 AC_CONFIG_HEADER(include/ncurses_cfg.h:include/ncurses_cfg.hin)
 
@@ -566,7 +566,7 @@
 	[with_fallback=$withval],
 	[with_fallback=])
 AC_MSG_RESULT($with_fallback)
-FALLBACK_LIST=`echo "$with_fallback" | sed -e 's/,/ /g'`
+FALLBACK_LIST=`test "$with_fallback" != no && echo "$with_fallback" | sed -e 's/,/ /g'`
 AC_SUBST(FALLBACK_LIST)
 
 AC_MSG_CHECKING(if you want modern xterm or antique)
Index: dist.mk
Prereq:  1.1074 
--- ncurses-6.0-20151017+/dist.mk	2015-10-17 20:29:47.000000000 +0000
+++ ncurses-6.0-20151024/dist.mk	2015-10-24 13:10:18.000000000 +0000
@@ -25,7 +25,7 @@
 # use or other dealings in this Software without prior written               #
 # authorization.                                                             #
 ##############################################################################
-# $Id: dist.mk,v 1.1074 2015/10/17 20:29:47 tom Exp $
+# $Id: dist.mk,v 1.1075 2015/10/24 13:10:18 tom Exp $
 # Makefile for creating ncurses distributions.
 #
 # This only needs to be used directly as a makefile by developers, but
@@ -37,7 +37,7 @@
 # These define the major/minor/patch versions of ncurses.
 NCURSES_MAJOR = 6
 NCURSES_MINOR = 0
-NCURSES_PATCH = 20151017
+NCURSES_PATCH = 20151024
 
 # We don't append the patch to the version, since this only applies to releases
 VERSION = $(NCURSES_MAJOR).$(NCURSES_MINOR)
Index: doc/html/man/captoinfo.1m.html
--- ncurses-6.0-20151017+/doc/html/man/captoinfo.1m.html	2015-09-26 22:08:45.000000000 +0000
+++ ncurses-6.0-20151024/doc/html/man/captoinfo.1m.html	2015-10-25 00:21:09.000000000 +0000
@@ -205,7 +205,7 @@
 <H2><a name="h2-SEE-ALSO">SEE ALSO</a></H2><PRE>
        <STRONG><A HREF="infocmp.1m.html">infocmp(1m)</A></STRONG>, <STRONG><A HREF="ncurses.3x.html">curses(3x)</A></STRONG>, <STRONG><A HREF="terminfo.5.html">terminfo(5)</A></STRONG>
 
-       This describes <STRONG>ncurses</STRONG> version 6.0 (patch 20150926).
+       This describes <STRONG>ncurses</STRONG> version 6.0 (patch 20151024).
 
 
 </PRE>
Index: doc/html/man/clear.1.html
--- ncurses-6.0-20151017+/doc/html/man/clear.1.html	2015-09-26 22:08:45.000000000 +0000
+++ ncurses-6.0-20151024/doc/html/man/clear.1.html	2015-10-25 00:21:09.000000000 +0000
@@ -71,7 +71,7 @@
 <H2><a name="h2-SEE-ALSO">SEE ALSO</a></H2><PRE>
        <STRONG><A HREF="tput.1.html">tput(1)</A></STRONG>, <STRONG><A HREF="terminfo.5.html">terminfo(5)</A></STRONG>
 
-       This describes <STRONG>ncurses</STRONG> version 6.0 (patch 20150926).
+       This describes <STRONG>ncurses</STRONG> version 6.0 (patch 20151024).
 
 
 
Index: doc/html/man/curs_attr.3x.html
--- ncurses-6.0-20151017+/doc/html/man/curs_attr.3x.html	2015-09-26 23:25:17.000000000 +0000
+++ ncurses-6.0-20151024/doc/html/man/curs_attr.3x.html	2015-10-25 00:23:27.000000000 +0000
@@ -27,7 +27,7 @@
   * sale, use or other dealings in this Software without prior written       *
   * authorization.                                                           *
   ****************************************************************************
-  * @Id: curs_attr.3x,v 1.41 2015/09/05 21:13:25 tom Exp @
+  * @Id: curs_attr.3x,v 1.42 2015/10/24 19:10:42 Sven.Joachim Exp @
 -->
 <!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN">
 <HTML>
@@ -126,7 +126,7 @@
 <H3><a name="h3-attr_set">attr_set</a></H3><PRE>
        The <STRONG>attrset</STRONG> routine is actually a legacy feature predating
        SVr4 curses but kept in X/Open Curses for the same  reason
-       that  SVr4  curses kept it: compatbility.  The routine <STRONG>at-</STRONG>
+       that  SVr4 curses kept it: compatibility.  The routine <STRONG>at-</STRONG>
        <STRONG>tr_set</STRONG> provides for passing a color-pair parameter.
 
        The remaining <STRONG>attr_</STRONG>* functions operate  exactly  like  the
Index: doc/html/man/form.3x.html
--- ncurses-6.0-20151017+/doc/html/man/form.3x.html	2015-09-26 22:08:49.000000000 +0000
+++ ncurses-6.0-20151024/doc/html/man/form.3x.html	2015-10-25 00:21:13.000000000 +0000
@@ -245,7 +245,7 @@
        <STRONG><A HREF="ncurses.3x.html">curses(3x)</A></STRONG> and related pages whose names begin "form_" for
        detailed descriptions of the entry points.
 
-       This describes <STRONG>ncurses</STRONG> version 6.0 (patch 20150926).
+       This describes <STRONG>ncurses</STRONG> version 6.0 (patch 20151024).
 
 
 
Index: doc/html/man/infocmp.1m.html
--- ncurses-6.0-20151017+/doc/html/man/infocmp.1m.html	2015-09-26 22:08:50.000000000 +0000
+++ ncurses-6.0-20151024/doc/html/man/infocmp.1m.html	2015-10-25 00:21:14.000000000 +0000
@@ -487,7 +487,7 @@
 
        http://invisible-island.net/ncurses/tctest.html
 
-       This describes <STRONG>ncurses</STRONG> version 6.0 (patch 20150926).
+       This describes <STRONG>ncurses</STRONG> version 6.0 (patch 20151024).
 
 
 </PRE>
Index: doc/html/man/infotocap.1m.html
--- ncurses-6.0-20151017+/doc/html/man/infotocap.1m.html	2015-09-26 22:08:50.000000000 +0000
+++ ncurses-6.0-20151024/doc/html/man/infotocap.1m.html	2015-10-25 00:21:14.000000000 +0000
@@ -94,7 +94,7 @@
 <H2><a name="h2-SEE-ALSO">SEE ALSO</a></H2><PRE>
        <STRONG><A HREF="ncurses.3x.html">curses(3x)</A></STRONG>, <STRONG><A HREF="tic.1m.html">tic(1m)</A></STRONG>, <STRONG><A HREF="infocmp.1m.html">infocmp(1m)</A></STRONG>, <STRONG><A HREF="terminfo.5.html">terminfo(5)</A></STRONG>
 
-       This describes <STRONG>ncurses</STRONG> version 6.0 (patch 20150926).
+       This describes <STRONG>ncurses</STRONG> version 6.0 (patch 20151024).
 
 
 </PRE>
Index: doc/html/man/menu.3x.html
--- ncurses-6.0-20151017+/doc/html/man/menu.3x.html	2015-09-26 22:08:51.000000000 +0000
+++ ncurses-6.0-20151024/doc/html/man/menu.3x.html	2015-10-25 00:21:15.000000000 +0000
@@ -227,7 +227,7 @@
        <STRONG><A HREF="ncurses.3x.html">curses(3x)</A></STRONG> and related pages whose names begin "menu_" for
        detailed descriptions of the entry points.
 
-       This describes <STRONG>ncurses</STRONG> version 6.0 (patch 20150926).
+       This describes <STRONG>ncurses</STRONG> version 6.0 (patch 20151024).
 
 
 
Index: doc/html/man/ncurses.3x.html
--- ncurses-6.0-20151017+/doc/html/man/ncurses.3x.html	2015-09-26 22:08:52.000000000 +0000
+++ ncurses-6.0-20151024/doc/html/man/ncurses.3x.html	2015-10-25 00:21:16.000000000 +0000
@@ -63,7 +63,7 @@
        sonable optimization.  This implementation is "new curses"
        (ncurses) and is the approved replacement for 4.4BSD clas-
        sic  curses,  which has been discontinued.  This describes
-       <STRONG>ncurses</STRONG> version 6.0 (patch 20150926).
+       <STRONG>ncurses</STRONG> version 6.0 (patch 20151024).
 
        The <STRONG>ncurses</STRONG> library emulates the curses library of  System
        V  Release  4  UNIX,  and  XPG4 (X/Open Portability Guide)
Index: doc/html/man/panel.3x.html
--- ncurses-6.0-20151017+/doc/html/man/panel.3x.html	2015-09-26 22:08:52.000000000 +0000
+++ ncurses-6.0-20151024/doc/html/man/panel.3x.html	2015-10-25 00:21:16.000000000 +0000
@@ -218,7 +218,7 @@
 <H2><a name="h2-SEE-ALSO">SEE ALSO</a></H2><PRE>
        <STRONG><A HREF="ncurses.3x.html">curses(3x)</A></STRONG>, <STRONG><A HREF="curs_variables.3x.html">curs_variables(3x)</A></STRONG>,
 
-       This describes <STRONG>ncurses</STRONG> version 6.0 (patch 20150926).
+       This describes <STRONG>ncurses</STRONG> version 6.0 (patch 20151024).
 
 
 </PRE>
Index: doc/html/man/tabs.1.html
--- ncurses-6.0-20151017+/doc/html/man/tabs.1.html	2015-09-26 22:08:52.000000000 +0000
+++ ncurses-6.0-20151024/doc/html/man/tabs.1.html	2015-10-25 00:21:16.000000000 +0000
@@ -168,7 +168,7 @@
 <H2><a name="h2-SEE-ALSO">SEE ALSO</a></H2><PRE>
        <STRONG><A HREF="tset.1.html">tset(1)</A></STRONG>, <STRONG><A HREF="infocmp.1m.html">infocmp(1m)</A></STRONG>, <STRONG><A HREF="ncurses.3x.html">curses(3x)</A></STRONG>, <STRONG><A HREF="terminfo.5.html">terminfo(5)</A></STRONG>.
 
-       This describes <STRONG>ncurses</STRONG> version 6.0 (patch 20150926).
+       This describes <STRONG>ncurses</STRONG> version 6.0 (patch 20151024).
 
 
 
Index: doc/html/man/terminfo.5.html
--- ncurses-6.0-20151017+/doc/html/man/terminfo.5.html	2015-09-26 22:08:53.000000000 +0000
+++ ncurses-6.0-20151024/doc/html/man/terminfo.5.html	2015-10-25 00:21:17.000000000 +0000
@@ -78,7 +78,7 @@
        nals by giving a set of capabilities which they  have,  by
        specifying how to perform screen operations, and by speci-
        fying padding requirements and  initialization  sequences.
-       This describes <STRONG>ncurses</STRONG> version 6.0 (patch 20150926).
+       This describes <STRONG>ncurses</STRONG> version 6.0 (patch 20151024).
 
        Entries in <EM>terminfo</EM> consist of a sequence of `,' separated
        fields (embedded commas may be escaped with a backslash or
Index: doc/html/man/tic.1m.html
--- ncurses-6.0-20151017+/doc/html/man/tic.1m.html	2015-09-26 22:08:53.000000000 +0000
+++ ncurses-6.0-20151024/doc/html/man/tic.1m.html	2015-10-25 00:21:17.000000000 +0000
@@ -408,7 +408,7 @@
        <STRONG><A HREF="infocmp.1m.html">infocmp(1m)</A></STRONG>,    <STRONG><A HREF="captoinfo.1m.html">captoinfo(1m)</A></STRONG>,   <STRONG><A HREF="infotocap.1m.html">infotocap(1m)</A></STRONG>,   <STRONG><A HREF="toe.1m.html">toe(1m)</A></STRONG>,
        <STRONG><A HREF="ncurses.3x.html">curses(3x)</A></STRONG>, <STRONG><A HREF="term.5.html">term(5)</A></STRONG>.  <STRONG><A HREF="terminfo.5.html">terminfo(5)</A></STRONG>.
 
-       This describes <STRONG>ncurses</STRONG> version 6.0 (patch 20150926).
+       This describes <STRONG>ncurses</STRONG> version 6.0 (patch 20151024).
 
 
 </PRE>
Index: doc/html/man/toe.1m.html
--- ncurses-6.0-20151017+/doc/html/man/toe.1m.html	2015-09-26 22:08:53.000000000 +0000
+++ ncurses-6.0-20151024/doc/html/man/toe.1m.html	2015-10-25 00:21:17.000000000 +0000
@@ -122,7 +122,7 @@
        <STRONG><A HREF="tic.1m.html">tic(1m)</A></STRONG>,   <STRONG><A HREF="infocmp.1m.html">infocmp(1m)</A></STRONG>,   <STRONG><A HREF="captoinfo.1m.html">captoinfo(1m)</A></STRONG>,    <STRONG><A HREF="infotocap.1m.html">infotocap(1m)</A></STRONG>,
        <STRONG><A HREF="ncurses.3x.html">curses(3x)</A></STRONG>, <STRONG><A HREF="terminfo.5.html">terminfo(5)</A></STRONG>.
 
-       This describes <STRONG>ncurses</STRONG> version 6.0 (patch 20150926).
+       This describes <STRONG>ncurses</STRONG> version 6.0 (patch 20151024).
 
 
 
Index: doc/html/man/tput.1.html
--- ncurses-6.0-20151017+/doc/html/man/tput.1.html	2015-09-26 22:08:53.000000000 +0000
+++ ncurses-6.0-20151024/doc/html/man/tput.1.html	2015-10-25 00:21:17.000000000 +0000
@@ -338,7 +338,7 @@
 <H2><a name="h2-SEE-ALSO">SEE ALSO</a></H2><PRE>
        <STRONG><A HREF="clear.1.html">clear(1)</A></STRONG>, <STRONG>stty(1)</STRONG>, <STRONG><A HREF="tabs.1.html">tabs(1)</A></STRONG>, <STRONG><A HREF="terminfo.5.html">terminfo(5)</A></STRONG>, <STRONG><A HREF="curs_termcap.3x.html">curs_termcap(3x)</A></STRONG>.
 
-       This describes <STRONG>ncurses</STRONG> version 6.0 (patch 20150926).
+       This describes <STRONG>ncurses</STRONG> version 6.0 (patch 20151024).
 
 
 
Index: doc/html/man/tset.1.html
--- ncurses-6.0-20151017+/doc/html/man/tset.1.html	2015-09-26 22:08:53.000000000 +0000
+++ ncurses-6.0-20151024/doc/html/man/tset.1.html	2015-10-25 00:21:17.000000000 +0000
@@ -319,7 +319,7 @@
        <STRONG>csh(1)</STRONG>,   <STRONG>sh(1)</STRONG>,   <STRONG>stty(1)</STRONG>,   <STRONG><A HREF="curs_terminfo.3x.html">curs_terminfo(3x)</A></STRONG>,   <STRONG>tty(4)</STRONG>,
        <STRONG><A HREF="terminfo.5.html">terminfo(5)</A></STRONG>, <STRONG>ttys(5)</STRONG>, <STRONG>environ(7)</STRONG>
 
-       This describes <STRONG>ncurses</STRONG> version 6.0 (patch 20150926).
+       This describes <STRONG>ncurses</STRONG> version 6.0 (patch 20151024).
 
 
 
Index: man/curs_attr.3x
Prereq:  1.41 
--- ncurses-6.0-20151017+/man/curs_attr.3x	2015-09-05 21:13:25.000000000 +0000
+++ ncurses-6.0-20151024/man/curs_attr.3x	2015-10-24 19:10:42.000000000 +0000
@@ -27,7 +27,7 @@
 .\" authorization.                                                           *
 .\"***************************************************************************
 .\"
-.\" $Id: curs_attr.3x,v 1.41 2015/09/05 21:13:25 tom Exp $
+.\" $Id: curs_attr.3x,v 1.42 2015/10/24 19:10:42 Sven.Joachim Exp $
 .TH curs_attr 3X ""
 .na
 .hy 0
@@ -148,7 +148,7 @@
 .SS attr_set
 The \fBattrset\fP routine is actually a legacy feature predating SVr4 curses
 but kept in X/Open Curses for the same reason that SVr4 curses kept it:
-compatbility.
+compatibility.
 The routine \fBattr_set\fP provides for passing a color-pair parameter.
 .PP
 The remaining \fBattr_\fR* functions operate exactly like the corresponding
Index: misc/terminfo.src
--- ncurses-6.0-20151017+/misc/terminfo.src	2015-07-25 19:27:20.000000000 +0000
+++ ncurses-6.0-20151024/misc/terminfo.src	2015-10-24 17:56:55.000000000 +0000
@@ -6,8 +6,8 @@
 # Report bugs and new terminal descriptions to
 #	bug-ncurses@gnu.org
 #
-#	$Revision: 1.549 $
-#	$Date: 2015/07/25 19:27:20 $
+#	$Revision: 1.554 $
+#	$Date: 2015/10/24 16:00:04 $
 #
 # The original header is preserved below for reference.  It is noted that there
 # is a "newer" version which differs in some cosmetic details (but actually
@@ -1246,9 +1246,50 @@
 nsterm-build343|Terminal.app in OS X 10.10,
 	kend=\EOF, khome=\EOH, use=nsterm-build326,
 
+# reviewed Terminal.app in El Capitan (version 2.6 build 361) -TD
+# Using vttest:
+# + no vt52 mode for cursor keys, though vt52 screen works in vttest
+# + f1-f4 map to pf1-pf4
+# + no vt220 support aside from DECTCEM and ECH
+# + there are no protected areas.  Forget about anything above vt220.
+# + in ECMA-48 cursor movement, VPR and HPR fail.  Others work.
+# + vttest color 11.6.4 and 11.6.5 (bce for ED/EL and ECH/indexing) are bce
+# + but bce fails for 11.6.7.2 (test repeat).
+# + SD (11.6.7.3) also fails, but SL/SR/SU work.
+# + 11.6.6 (test insert/delete char/line with bce) has several failures.
+# + normal (not X10 or Highlight tracking) mouse now works.
+# + mouse any-event works
+# + mouse button-event works
+# + in alternate screen:
+#   mode 47/48 work
+#   mode 1047 fails to restore cursor position (do not use)
+#   mode 1049 fails to restore screen contents (do not use)
+# + dtterm window-modify operations work (some messages are not printed)
+# + dtterm window-report gives size of window in characters/pixels as
+#   well as state of window.
+# Using tack:
+# + there is no difference between cnorm/cvvis
+# + has dim/invis/blink (no protect of course)
+# + most function keys with shift/control modifiers give beep
+#   (user can configure, but out-of-the-box is what I record)
+# + shift-F5 is \E[25~ through shift-F12 is \E[34~ (skips \E[30~ between
+#   F8 and F9).
+# + kLFT5/kRIT5 work, but not up/down with control-modifier
+# + kLFT/kRIT work, but not up/down with shift-modifier
+# + there are a few predefined bindings with Alt, but no clear pattern.
+# + uses alt-key as UTF-8 "meta" something like xterm altSendsEscape 
+# Using ncurses test-program with xterm-new:
+# + no italics
+# Using xterm's scripts:
+# + palette for 256-colors is hardcoded.
+# + no support for "dynamic colors"
+# + no support for tcap-query.
+nsterm-build361|Terminal.app in OS X 10.11,
+	kmous=\E[M, use=nsterm-build343,
+
 # This is an alias which should always point to the "current" version
 nsterm|Apple_Terminal|AppKit Terminal.app,
-	use=nsterm-build343,
+	use=nsterm-build361,
 
 # iTerm.app from http://iterm.sourceforge.net/ is an alternative (and
 # more featureful) terminal emulator for Mac OS X. It is similar
@@ -6278,7 +6319,7 @@
 #### Pilot Pro Palm-Top
 #
 # Termcap for Top Gun Telnet and SSH on the Palm Pilot.
-# http://www.ai/~iang/TGssh/
+# https://web.archive.org/web/20051103015726/http://www.ai/~iang/TGssh/
 pilot|tgtelnet|Top Gun Telnet on the Palm Pilot Professional,
 	OTbs, am, xenl,
 	cols#39, lines#16,
@@ -6429,7 +6470,7 @@
 # underline and standout.
 #
 # Since the documentation and terminfo do not agree, see also current code at
-# http://src.opensolaris.org/source/xref/onnv/onnv-gate/usr/src/uts/common/io/tem_safe.c
+# https://web.archive.org/web/20091231042744/http://src.opensolaris.org/source/xref/onnv/onnv-gate/usr/src/uts/common/io/tem_safe.c
 #
 # That (actually a different driver which "supports" sun-color) also supports
 # these features:
@@ -9708,7 +9749,8 @@
 # Wyse sales can be reached by phone at 1-800-GET-WYSE.  Tech support is at
 # (800)-800-WYSE (option 5 gets you a human).  There's a Web page at the
 # obvious address, <http://www.wyse.com>.  They keep terminfo entries at
-# <http://www.wyse.co.uk/support/appnotes/idxappnt.htm>.
+# https://web.archive.org/web/19970712022641/http://www.wyse.co.uk/support/appnotes/idxappnt.htm
+# 
 #
 # Wyse bought out Link Technology, Inc. in 1990 and closed it down in 1995.
 # They now own the Qume and Amdek brands, too.  So these are the people to
@@ -12980,7 +13022,7 @@
 #
 # Update by TD - 2004:
 # Adapted from
-#	http://www.cs.utk.edu/~shuford/terminal/adds_viewpoint_news.txt
+#	https://web.archive.org/web/19990922005103/http://www.cs.utk.edu/~shuford/terminal/adds_viewpoint_news.txt
 #
 # COMMANDS                        ASCII CODE
 #
@@ -18456,7 +18498,7 @@
 #
 
 # See
-#	http://www.minix3.org/manpages/html4/console.html
+#	https://web.archive.org/web/20120703021949/http://www.minix3.org/manpages/html4/console.html
 minix|minix console (v3),
 	acsc=+\020\,\021-\030.^Y0\333`\004a\261f\370g\361h\260j\331k\277l\332m\300n\305o~p\304q\304r\304s_t\303u\264v\301w\302x\263y\363z\362{\343|\330}\234~\376,
 	kdch1=\177, kend=\E[Y, kf0=\E[21~, kf1=\E[11~, kf10=\E[21~,
@@ -18644,16 +18686,19 @@
 minitel1|minitel 1,
 	am, bw, eslok, hs, hz, msgr,
 	colors#8, cols#40, lines#24, pairs#8,
-	acsc=+.\,\,./f0g1, bel=^G, blink=\EH, civis=^T, clear=^L,
-	cnorm=^Q, cr=^M, cub1=^H, cud1=^J, cuf1=^I,
-	cup=\037%p1%{65}%+%c%p2%{65}%+%c, cuu1=^K, el=^X,
-	enacs=^Y, fsl=^J, home=^^, ind=^J,
-	is2=\E;`ZQ\E\:iC\E\:iE\021, nel=^M^J, op=\EG,
-	rep=%p1%c\022%p2%{63}%+%c, rev=\E], ri=^K, rmso=\E\\,
-	setf=\E%?%p1%{1}%=%tD%e%p1%{3}%=%tF%e%p1%{4}%=%tA%e%p1%{6}%=%tC%e%p1%{64}%+%c%;,
+	bel=^G, blink=\EH, civis=^T, clear=^L, cnorm=^Q, cr=^M,
+	cub1=^H, cud1=^J, cuf1=^I,
+	cup=\037%p1%'A'%+%c%p2%'A'%+%c, cuu1=^K, el=^X,
+	flash=\037@A\EW \177\022\177\022P\r\030\n, fsl=^J,
+	home=^^, ind=^J, is2=\E;`ZQ\E\:iC\E\:iE\021, nel=^M^J,
+	op=\EG, rep=%p1%c\022%p2%'?'%+%c, rev=\E], ri=^K,
+	rmso=\E\\,
+	setf=\E%?%p1%{1}%=%tD%e%p1%{3}%=%tF%e%p1%{4}%=%tA%e%p1%{6}%=%tC%e%p1%'@'%+%c%;,
 	sgr=%?%p1%t\E]%;%?%p3%t\E]%;%?%p4%t\EH%;,
-	sgr0=\EI\E\\, smso=\E], tsl=\037@%p1%{65}%+%c,
-# is2=Fnct TE, Fnct MR, Fnct CM et pour finir: curseur ON.
+	sgr0=\EI\E\\, smso=\E], tsl=\037@%p1%'A'%+%c,
+	u6=\037%c%'A'%-%c%'A'%-, u7=\Ea, .acsc=}#f0g1\,\,+../,
+	.enacs=^Y, .rs2=^L, .u8=\001Br4\004, .u9=\E9{,
+# is2=Fnct TE, Fnct ER, Fnct CM et pour finir: curseur ON.
 minitel1b|minitel 1-bistandard (in 40cols mode),
 	mir,
 	cub=\E[%p1%dD, cud=\E[%p1%dB, cuf=\E[%p1%dC,
@@ -18661,21 +18706,37 @@
 	dl1=\E[M, ed=\E[J, el1=\E[1K, il=\E[%p1%dL, il1=\E[L,
 	is1=\E;iYA\E;jYC, kclr=\E[2J, kctab=^I, kcub1=\E[D,
 	kcud1=\E[B, kcuf1=\E[C, kcuu1=\E[A, kdch1=\E[P, kdl1=\E[M,
-	kel=^X, khome=\E[H, kich1=\E[4h, kil1=\E[L, rmir=\E[4l,
-	smir=\E[4h, smkx=\E;iYA\E;jYC, use=minitel1,
-# <rmkx> posait des problemes (logout en sortant de vi).
+	khome=\E[H, kich1=\E[4h, kil1=\E[L, rmir=\E[4l, smir=\E[4h,
+	.ich=\E[%p1%d@, .ich1=\E[@, .kel=^X, .rmkx=\E;jYA,
+	.smkx=\E;iYA\E;jYC, .u8=\001Cu<\004, use=minitel1,
+# rmkx posait des problemes (logout en sortant de vi).
 minitel1b-80|minitel 1-bistandard (standard teleinformatique),
 	am@, bw@, hz@,
 	colors@, cols#80, it#8, pairs@,
 	blink=\E[5m, bold=\E[1m, civis=\037@A\024\n,
-	clear=\E[H\E[2J, cnorm=\037@A\021\n, cuf1=\E[C,
+	clear=\E[H\E[J, cnorm=\037@A\021\n, cuf1=\E[C,
 	cup=\E[%i%p1%d;%p2%dH, cuu1=\E[A, el=\E[K, home=\E[H,
-	ht=^I, ind=\ED, is1@, is2@, kent=\EOM, kf0=\EOp, kf1=\EOq,
-	kf2=\EOr, kf3=\EOs, kf4=\EOt, kf5=\EOu, kf6=\EOv, kf7=\EOw,
-	kf8=\EOx, kf9=\EOy, nel=\EE, op@, rc=\E8, rep@, rev=\E[7m,
-	ri=\EM, rmkx@, rmso=\E[27m, rmul=\E[24m, sc=\E7, setf@,
-	sgr=\E[%?%p1%t7;%;%?%p2%t4;%;%?%p3%t7;%;%?%p4%t5;%;%?%p6%t1;%;m,
-	sgr0=\E[m, smkx@, smso=\E[7m, smul=\E[4m, use=minitel1b,
+	ht=^I, ind=\ED, is1@, is2@, kbs=\EOl, kcan=\EOQ, kent=\EOM,
+	kf0=\EOp, kf1=\EOq, kf2=\EOr, kf3=\EOs, kf4=\EOt, kf5=\EOu,
+	kf6=\EOv, kf7=\EOw, kf8=\EOx, kf9=\EOy, khlp=\EOm, knp=\EOn,
+	kpp=\EOR, krfr=\EOS, nel=\EE, op@, rc=\E8, rep@, rev=\E[7m,
+	ri=\EM, rmkx@, rmso=\E[27m, rmul=\E[24m, rs2=\E[H\E[J\E[m,
+	sc=\E7, setf@, sgr@, sgr0=\E[m, smkx@, smso=\E[7m, smul=\E[4m,
+	u6@, u7@, .acsc=}#f[, .enacs=^O, .mc0=\E[i, .rmacs=^O,
+	.rs2=\Ec,
+	.sgr=\E[%?%p1%t7;%;%?%p2%t4;%;%?%p3%t7;%;%?%p4%t5;%;%?%p6%t1;%;m,
+	.smacs=^N, use=minitel1b,
+minitel1b-nb|minitel 1b (40cols) noir & blanc sans couleurs avec bold et dim ...,
+	colors@, pairs@,
+	acsc=`>a9f!j%k4l<m-n=p#q\,rpt=u5v-w<x5yvzy|l~$,
+	bold=\EG, clear=^L\EB, cup=\E[%i%p1%d;%p2%dH, dim=\ED,
+	home=^^\EB, kend=\E)4\r, kf0=^Y0, kf1=\E$4\r, kf11=^Y1,
+	kf12=^Y/, kf2=\E#4\r, kf3=\E&4\r, kf4=\E!4\r, kf5=\E'4\r,
+	kf6=\E/4\r, kf7=^Y8, kf8=^Y\,, kf9=^Y., knp=\E(4\r,
+	kpp=\E"4\r, op@, rmacs=^O, setf@,
+	sgr=%?%p1%p3%O%t\E]%;%?%p4%t\EH%;%?%p5%t\ED%;%?%p6%t\EG%;,
+	sgr0=\EI\E\\\EB, smacs=^N, .invis=\E@, .rs2=^L\EB,
+	.u8=\001Cu|\004, use=minitel1b,
 
 ######## OBSOLETE VDT TYPES
 #
@@ -23374,7 +23435,7 @@
 #	  FreeMiNT by Guido Flohr (from patch/report by Alan Hourihane).
 #
 # 2010-06-12
-#	* add mlterm+256color entry -TD
+#	* add mlterm-256color entry -TD
 #
 # 2010-07-17
 #	* add hard-reset for rs2 to wsvt25 to help ensure that reset ends
@@ -23702,4 +23763,11 @@
 #	+ add status line to tmux via xterm+sl (patch by Nicholas Marriott).
 #	+ fixes for st 0.5 from testing with tack -TD
 #
+# 2015-10-24
+#	+ updated minitel entries to fix kel problem with emacs, and add
+#	  minitel1b-nb (Alexandre Montaron).
+#	+ reviewed/updated nsterm entry Terminal.app in OSX -TD
+#	+ replace some dead URLs in comments with equivalents from the
+#	  Internet Archive -TD
+#
 ######## SHANTIH!  SHANTIH!  SHANTIH!
Index: ncurses/tty/MKexpanded.sh
Prereq:  1.17 
--- ncurses-6.0-20151017+/ncurses/tty/MKexpanded.sh	2010-01-23 17:57:43.000000000 +0000
+++ ncurses-6.0-20151024/ncurses/tty/MKexpanded.sh	2015-10-24 23:39:24.000000000 +0000
@@ -1,6 +1,6 @@
 #! /bin/sh
 ##############################################################################
-# Copyright (c) 1998-2009,2010 Free Software Foundation, Inc.                #
+# Copyright (c) 1998-2010,2015 Free Software Foundation, Inc.                #
 #                                                                            #
 # Permission is hereby granted, free of charge, to any person obtaining a    #
 # copy of this software and associated documentation files (the "Software"), #
@@ -29,7 +29,7 @@
 #
 # Author: Thomas E. Dickey, 1997-on
 #
-# $Id: MKexpanded.sh,v 1.17 2010/01/23 17:57:43 tom Exp $
+# $Id: MKexpanded.sh,v 1.18 2015/10/24 23:39:24 tom Exp $
 #
 # Script to generate 'expanded.c', a dummy source that contains functions
 # corresponding to complex macros used in this library.  By making functions,
@@ -125,7 +125,7 @@
 EOF
 
 $preprocessor $TMP 2>/dev/null | \
-	sed -e '1,/^IGNORE$/d' -e 's/^@/#/' -e 's/^#if_/#if /'
+	sed -e '1,/^IGNORE$/d' -e 's/^@/#/' -e 's/^#if_/#if /' -e "s,$TMP,expanded.c,"
 
 cat <<EOF
 #else /* ! NCURSES_EXPANDED */
Index: package/debian-mingw/changelog
--- ncurses-6.0-20151017+/package/debian-mingw/changelog	2015-10-17 20:29:47.000000000 +0000
+++ ncurses-6.0-20151024/package/debian-mingw/changelog	2015-10-24 13:10:18.000000000 +0000
@@ -1,8 +1,8 @@
-ncurses6 (6.0+20151017) unstable; urgency=low
+ncurses6 (6.0+20151024) unstable; urgency=low
 
   * latest weekly patch
 
- -- Thomas E. Dickey <dickey@invisible-island.net>  Sat, 17 Oct 2015 16:29:47 -0400
+ -- Thomas E. Dickey <dickey@invisible-island.net>  Sat, 24 Oct 2015 09:10:18 -0400
 
 ncurses6 (5.9-20131005) unstable; urgency=low
 
Index: package/debian-mingw64/changelog
--- ncurses-6.0-20151017+/package/debian-mingw64/changelog	2015-10-17 20:29:47.000000000 +0000
+++ ncurses-6.0-20151024/package/debian-mingw64/changelog	2015-10-24 13:10:18.000000000 +0000
@@ -1,8 +1,8 @@
-ncurses6 (6.0+20151017) unstable; urgency=low
+ncurses6 (6.0+20151024) unstable; urgency=low
 
   * latest weekly patch
 
- -- Thomas E. Dickey <dickey@invisible-island.net>  Sat, 17 Oct 2015 16:29:47 -0400
+ -- Thomas E. Dickey <dickey@invisible-island.net>  Sat, 24 Oct 2015 09:10:18 -0400
 
 ncurses6 (5.9-20131005) unstable; urgency=low
 
Index: package/debian/changelog
--- ncurses-6.0-20151017+/package/debian/changelog	2015-10-17 20:29:47.000000000 +0000
+++ ncurses-6.0-20151024/package/debian/changelog	2015-10-24 13:10:18.000000000 +0000
@@ -1,8 +1,8 @@
-ncurses6 (6.0+20151017) unstable; urgency=low
+ncurses6 (6.0+20151024) unstable; urgency=low
 
   * latest weekly patch
 
- -- Thomas E. Dickey <dickey@invisible-island.net>  Sat, 17 Oct 2015 16:29:47 -0400
+ -- Thomas E. Dickey <dickey@invisible-island.net>  Sat, 24 Oct 2015 09:10:18 -0400
 
 ncurses6 (5.9-20120608) unstable; urgency=low
 
Index: package/mingw-ncurses.nsi
Prereq:  1.127 
--- ncurses-6.0-20151017+/package/mingw-ncurses.nsi	2015-10-17 20:29:47.000000000 +0000
+++ ncurses-6.0-20151024/package/mingw-ncurses.nsi	2015-10-24 13:10:18.000000000 +0000
@@ -1,4 +1,4 @@
-; $Id: mingw-ncurses.nsi,v 1.127 2015/10/17 20:29:47 tom Exp $
+; $Id: mingw-ncurses.nsi,v 1.128 2015/10/24 13:10:18 tom Exp $
 
 ; TODO add examples
 ; TODO bump ABI to 6
@@ -10,7 +10,7 @@
 !define VERSION_MAJOR "6"
 !define VERSION_MINOR "0"
 !define VERSION_YYYY  "2015"
-!define VERSION_MMDD  "1017"
+!define VERSION_MMDD  "1024"
 !define VERSION_PATCH ${VERSION_YYYY}${VERSION_MMDD}
 
 !define MY_ABI   "5"
Index: package/mingw-ncurses.spec
--- ncurses-6.0-20151017+/package/mingw-ncurses.spec	2015-10-17 20:29:47.000000000 +0000
+++ ncurses-6.0-20151024/package/mingw-ncurses.spec	2015-10-24 13:10:18.000000000 +0000
@@ -3,7 +3,7 @@
 Summary: shared libraries for terminal handling
 Name: mingw32-ncurses6
 Version: 6.0
-Release: 20151017
+Release: 20151024
 License: X11
 Group: Development/Libraries
 Source: ncurses-%{version}-%{release}.tgz
Index: package/ncurses.spec
--- ncurses-6.0-20151017+/package/ncurses.spec	2015-10-17 20:29:47.000000000 +0000
+++ ncurses-6.0-20151024/package/ncurses.spec	2015-10-24 13:10:18.000000000 +0000
@@ -1,7 +1,7 @@
 Summary: shared libraries for terminal handling
 Name: ncurses6
 Version: 6.0
-Release: 20151017
+Release: 20151024
 License: X11
 Group: Development/Libraries
 Source: ncurses-%{version}-%{release}.tgz
Index: test/ncurses.c
Prereq:  1.420 
--- ncurses-6.0-20151017+/test/ncurses.c	2015-05-23 23:41:25.000000000 +0000
+++ ncurses-6.0-20151024/test/ncurses.c	2015-10-24 23:32:57.000000000 +0000
@@ -40,7 +40,7 @@
    Author: Eric S. Raymond <esr@snark.thyrsus.com> 1993
            Thomas E. Dickey (beginning revision 1.27 in 1996).
 
-$Id: ncurses.c,v 1.420 2015/05/23 23:41:25 tom Exp $
+$Id: ncurses.c,v 1.421 2015/10/24 23:32:57 tom Exp $
 
 ***************************************************************************/
 
@@ -1255,9 +1255,10 @@
 #define ATTRSTRING_1ST 32	/* ' ' */
 #define ATTRSTRING_END 126	/* '~' */
 
-#define COL_ATTRSTRING 25
-#define MARGIN_4_ATTRS (COL_ATTRSTRING + 8)
-#define LEN_ATTRSTRING (COLS - MARGIN_4_ATTRS)
+#define COLS_PRE_ATTRS 5
+#define COLS_AFT_ATTRS 15
+#define COL_ATTRSTRING (COLS_PRE_ATTRS + 17)
+#define LEN_ATTRSTRING (COLS - (COL_ATTRSTRING + COLS_AFT_ATTRS))
 #define MAX_ATTRSTRING (ATTRSTRING_END + 1 - ATTRSTRING_1ST)
 
 static char attr_test_string[MAX_ATTRSTRING + 1];
@@ -1415,8 +1416,8 @@
     chtype test = attr & (chtype) (~A_ALTCHARSET);
 
     if (arrow)
-	MvPrintw(row, 5, "-->");
-    MvPrintw(row, 8, "%s mode:", name);
+	MvPrintw(row, COLS_PRE_ATTRS - 3, "-->");
+    MvPrintw(row, COLS_PRE_ATTRS, "%s mode:", name);
     MvPrintw(row, COL_ATTRSTRING - 1, "|");
     if (skip)
 	printw("%*s", skip, " ");
@@ -1661,10 +1662,10 @@
 				my_list[j].name);
 	    }
 
-	    MvPrintw(row, 8,
+	    MvPrintw(row, COLS_PRE_ATTRS,
 		     "This terminal does %shave the magic-cookie glitch",
 		     get_xmc() > -1 ? "" : "not ");
-	    MvPrintw(row + 1, 8, "Enter '?' for help.");
+	    MvPrintw(row + 1, COLS_PRE_ATTRS, "Enter '?' for help.");
 	    show_color_attr(fg, bg, tx);
 	    printw("  ACS (%d)", ac != 0);
 
@@ -1802,8 +1803,8 @@
     chtype test = attr & ~WA_ALTCHARSET;
 
     if (arrow)
-	MvPrintw(row, 5, "-->");
-    MvPrintw(row, 8, "%s mode:", name);
+	MvPrintw(row, COLS_PRE_ATTRS - 3, "-->");
+    MvPrintw(row, COLS_PRE_ATTRS, "%s mode:", name);
     MvPrintw(row, COL_ATTRSTRING - 1, "|");
     if (skip)
 	printw("%*s", skip, " ");
@@ -2012,10 +2013,10 @@
 				     my_list[j].name);
 	    }
 
-	    MvPrintw(row, 8,
+	    MvPrintw(row, COLS_PRE_ATTRS,
 		     "This terminal does %shave the magic-cookie glitch",
 		     get_xmc() > -1 ? "" : "not ");
-	    MvPrintw(row + 1, 8, "Enter '?' for help.");
+	    MvPrintw(row + 1, COLS_PRE_ATTRS, "Enter '?' for help.");
 	    show_color_attr(fg, bg, tx);
 	    printw("  ACS (%d)", ac != 0);
 
@@ -5523,7 +5524,6 @@
 	Cannot("cannot create requested pad");
 	return;
     }
-
 #ifdef A_COLOR
     if (colored && use_colors) {
 	init_pair(1, COLOR_BLACK, COLOR_GREEN);
